LDAPPASSWD(1)

NAME
ldappasswd - change the password of an LDAP entry

SYNOPSIS
ldappasswd [-A] [-a oldPasswd] -D binddn [-d debuglevel] [-h ldaphost] [-n] [-p ldapport] [-S] [-s newPasswd] [-v] [-W] [-w passwd] [-E[E]] [-I[I]] [-U username] [-X authzid] [-Y mech] [-Z[Z]]

DESCRIPTION
ldappasswd is a tool to set the password of an LDAP user. It is neither designed nor intended to be a replacement for passwd(1) and should not be installed as such.

ldappasswd sets the password of associated with the user. If the new password is not specified on the command line or the user doesn't enable prompting, the server will be asked to generate a password for the user.

OPTIONS

-A  Prompt for old password. This is used instead of specifying the password on the command line.

-a oldPasswd
    Set the old password to oldPasswd.

-D binddn
    Use binddn to bind to the LDAP directory. binddn should be a string-represented DN as defined in RFC 2253. This flag is not optional. The user DN will be used if the bind DN is not provided.

-d debuglevel
    Set the LDAP debugging level to debuglevel. ldappasswd must be compiled with LDAP_DEBUG defined for this option to have any effect.

-h ldaphost
    Specify an alternate host on which the ldap server is running.

-n  Do not set password. (Can be useful when used in conjunction with -v or -d)

-S  Prompt for new password. This is used instead of specifying the password on the command line.

-s newPasswd
    Set the new password to newPasswd.

-p ldapport
    Specify an alternate port on which the ldap server is running.

-v  Increase the verbosity of output. Can be specified multiple times.

-W  Prompt for bind password. This is used instead of specifying the password on the command line.

-w passwd
    Use passwd as the password to bind with.

-E[E]
    Requset the use of SASL privacy (encryption). If the server allows it, data sent between the client and the server will be encrypted. If the server requires the use of encryption and this flag is not specified, the command will fail. If you use -EE , the command will fail if the server does not support encryption. -E[E] implies -I[I]

-I[I]
    Request the use of SASL integrity checking. It protects data sent between the client and the server from being modified along the way, but it does not prevent sniffing. If the server requires the use of integrity checking and this flag is not specified, the command will fail.If you use -II , the command will fail if the server does not support this function.

-U username
    Specify the username for SASL bind. The syntax of the username depends on the actual SASL mechanism used.

-X authzid
    Specify the requested authorization ID for SASL bind. authzid must be one of the following formats: dn: <distinguished name> or u: <username>

-Y mech
    Specify the SASL mechanism to be used for authentication. If it's not specified, the program will choose the best mechanism the server knows.

-Z[Z]
    Issue StartTLS (Transport Layer Security) extended operation. If you use -ZZ , the command will require the operation to be successful.

SEE ALSO
ldap_bind(3)

ACKNOWLEDGEMENTS
OpenLDAP is developed and maintained by The OpenLDAP Project (http://www.openldap.org/). OpenLDAP is derived from University of Michigan LDAP 3.3 Release.